Uploaded image for project: 'Jetspeed 2'
  1. Jetspeed 2
  2. JS2-1157

Remove LGPL dependencies for Step2

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 2.2.1
    • Fix Version/s: 2.2.1
    • Component/s: Other
    • Labels:
      None
    • Environment:
      OpenID Google Step2 Implementation

      Description

      The jug dependency below is apparently LGPL. This has to be expunged before OpenID support can be released as part of the installer.

      [INFO] | | - com.google.step2:step2-common:jar:0:compile
      [INFO] | | +- org.openxri:openxri-syntax:jar:1.2.0:compile
      [INFO] | | | - com.ibm.icu:icu4j:jar:3.4.4:compile
      [INFO] | | +- org.openxri:openxri-client:jar:1.2.0:compile
      [INFO] | | | +- jug:jug:jar:1.1.2:compile
      [INFO] | | | +- xml-security:xmlsec:jar:1.3.0:compile
      [INFO] | | | - xalan:xalan:jar:2.4.1:compile (version managed from 2.7.0)
      [INFO] | | +- org.apache.httpcomponents:httpclient:jar:4.0.1:compile
      [INFO] | | | - org.apache.httpcomponents:httpcore:jar:4.0.1:compile
      [INFO] | | - org.jdom:jdom:jar:1.1:compile

      May also pull Step2 out of the https://svn.bluesunrise.com and incorporate into the Jetspeed build as a stand-alone jar to ensure visibilty of these sources.

        Attachments

          Activity

            People

            • Assignee:
              rwatler Randy Watler
              Reporter:
              rwatler Randy Watler
            • Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: